技术学习 docker 安装hyperf3.1

docker 安装hyperf3.1

55
 

安装docker

Docker要求CentOS系统的内核版本高于3.10
uname -r #通过uname -r 命令查看你当前的内核版本
sudo yum update

卸载已安装的Docker

如果你的操作系统没有安装过Docker , 就不需要执行卸载命令。

 sudo yum remove docker \
                  docker-client \
                  docker-client-latest \
                  docker-common \
                  docker-latest \
                  docker-latest-logrotate \
                  docker-logrotate \
                  docker-engine


安装Docker所需要的一些工具包

sudo yum install -y yum-utils

建立Docker仓库 (映射仓库地址)

sudo yum-config-manager \
—add-repo \
https://download.docker.com/linux/centos/docker-ce.repo

安装Docker引擎

sudo yum install docker-ce docker-ce-cli containerd.io

启动Docker

sudo systemctl start docker

测试 Docker 是否安装正常

sudo docker run hello-world

hyperf 安装

启动容器

docker run —name hyperf \
-v /workspace/skeleton:/data/project \
-w /data/project \
-p 9501:9501 -it \
—privileged -u root \
—entrypoint /bin/sh \
hyperf/hyperf:8.1-alpine-v3.18-swoole

创建项目

cd /data/project
composer create-project hyperf/hyperf-skeleton

启动项目

cd hyperf-skeleton
php bin/hyperf.php start


更新:2024-06-19 14:54:50 © 著作权归作者所有
QQ
微信